rte_node_eth_api.h(3)

NAME
rte_node_eth_api.h

SYNOPSIS

#include <rte_compat.h>
#include <rte_common.h>
#include <rte_graph.h>
#include <rte_mempool.h>

  Data Structures

struct rte_node_ethdev_config

  Functions

int rte_node_eth_config (struct rte_node_ethdev_config *cfg, uint16_t cnt, uint16_t nb_graphs)
__rte_experimental int rte_node_ethdev_rx_next_update (rte_node_t id, const char *edge_name)

Detailed Description

Warning
    EXPERIMENTAL: All functions in this file may be changed or removed without prior notice.

This API allows to setup ethdev_rx and ethdev_tx nodes and its queue associations.

Definition in file rte_node_eth_api.h.

Function Documentation

  int rte_node_eth_config (struct rte_node_ethdev_config * cfg, uint16_t cnt, uint16_t nb_graphs)
Initializes ethdev nodes.

Parameters
    cfg Array of ethdev config that identifies which port's ethdev_rx and ethdev_tx nodes need to be created and queue association.
    cnt Size of cfg array.
    nb_graphs Number of graphs that will be used.

Returns
    0 on successful initialization, negative otherwise.

  __rte_experimental int rte_node_ethdev_rx_next_update (rte_node_t id, const char * edge_name)
Update ethdev rx next node.

Parameters
    id Node id whose edge is to be updated.
    edge_name Name of the next node.

Returns

    •   EINVAL: Either of input parameters are invalid

    •   ENOMEM: If memory allocation failed

    •   0 on successful initialization.

Author

Generated automatically by Doxygen for DPDK from the source code.